Page MenuHomePhabricator

2019 Week 7 - 10 Bonus Content
Closed, ResolvedPublic

Description

It would be nice to make the linter for PHP version symbol issues smarter, so it can detect that if (function_exists('x')) { x(); } is always safe in any PHP version.

A somewhat-adjacent issue to PHI1066 that I hit recently is that more stuff has become Throwable in PHP7.3, and some methods need to transition from Exception to Throwable, like phlog(...). Some Throwable throws result in a blank page today.

(See T13250.) PHI1066 has some possible fallout from query string construction changes.

When an instance is unsuspended, we should automatically schedule a database upgrade. Currently, unsuspending a long-suspended instance tends to lead to a case where the instance is active but missing required schema changes.

D20132 has a followup for adding rate limiting to "Add Payment Method".

D20127 needs a revisit to make it less bad.

See https://discourse.phabricator-community.org/t/configuring-the-number-of-taskmaster-daemons/2394/:

  • bin/config set should warn you when a stronger database value exists, and point you toward bin/config delete --database.
  • Setup guidance should warn you about locked config with database values, so we can some day stop reading database values from locked config to improve security (e.g., prevent an attacker who bypasses the lock from inserting a value for cluster.mailers which we'll actually respect).

PHI1073 would like to see more task graph nodes.

PHI1051 wants support for overriding custom field behaviors in subtypes. See D17593, previously. This now lives in T13248.

PHI1059 wants stronger edit locks.

PHI912 would like auto-status and auto-submit for Duo.

PHI774 identifies an issue which can likely be mitigated in the short term by improving the "Welcome" flow for non-password installs.

PHI810 would be served by having the Differential "Reviewers" tokenizer to show user availability. Maybe every user tokenizer should do this?

Per PHI810, the "warn when all reviewers are away" in arc should really be "warn when some reviewers are away". We can do this in a coarse way now ("Some reviewers are away: alice, bailey.") and a more nuanced way after toolsets (availaiblity details via user.search).

The left-column alignment of the >> Differential marker is a little weird, and we probably don't need the left-side highlighting on indentation-only lines.

Adding a "Restartable: If Failed" mode to build plans seems reasonable.

PHI896 et al. could really use at least a viability assessment on "does not block draft promotion", etc. See also PHI1093 for "build can not restart".

See PHI1115 for bin/policy unlock --for / --assign. Also, bin/conduit call --as ... may fail on edits while attempting cache rebuilds (EXCEPTION: (PhabricatorDataNotAttachedException) Attempting to access attached data on PhabricatorUser (via getUserSetting()), but the data is not actually attached. Before accessing attachable data on an object, you must load and attach it.).

Details

Differential Revisions
Restricted Differential Revision
Commits
D20252 / rPc1bff3b8013e: Add an "Restartable: If Failed" behavior to Harbormaster build plans
D20257 / rP77221bee72cb: Allow objects to specify custom policy unlocking behavior, and tasks to have…
D20256 / rPc86dca3ffc80: Update "bin/policy unlock" to be more surgical, flexible, modular, and modern
D20258 / rPbacf1f44e00f: Modularize HeraldRule transactions
D20255 / rP9918ea1fb7ca: Fix an exception with user cache generation in "bin/conduit call --as <user>"
D20251 / rPa3ebaac0f026: Tweak the visual style of the ">>" / "<<" depth change indicators slightly
D20173 / rPaa470d21549c: Show user availability dots (red = away, orange = busy) in typeaheads…
D20171 / rP92abe3c8fb84: Extract scope line selection logic from the diff rendering engine so it can…
D20174 / rPe44b40ca4d83: Make "Subscribe/Unsubscribe" require only "CAN_VIEW", not "CAN_INTERACT"
D20165 / rP3058cae4b82e: Allow task statuses to specify that either "comments" or "edits" are "locked"
D20172 / rARC07a208d8fc47: In "arc diff", warn when some reviewers are away even if not everyone is away
D20170 / rP8f8e863613c0: When users follow an email login link but an install does not use passwords…
D20169 / rP2ca316d652d8: When users confirm Duo MFA in the mobile app, live-update the UI
D20160 / rPf77942a2d11b: (stable) Bump the markup cache version for URI changes
D20159 / rPeb73cb68ff5b: Raise a setup warning when locked configuration has a configuration value…
D20158 / rP9a9fa8bed283: Rate limit attempts to add payment methods in Phortune
D20160 / rP991368128e4d: Bump the markup cache version for URI changes
D20146 / rARC7e61e43f6554: Add version check whitelists for constants to the version compatibility lint…
D20145 / rPHUa7c995a2327f: Make libphutil `utils.php` PHP version violations statically analyzable

Event Timeline

epriestley triaged this task as Normal priority.
epriestley updated the task description. (Show Details)Feb 9 2019, 4:02 PM
epriestley updated the task description. (Show Details)Feb 10 2019, 5:10 PM
epriestley updated the task description. (Show Details)Feb 10 2019, 5:24 PM
amckinley added a revision: Restricted Differential Revision.Feb 10 2019, 10:51 PM
epriestley updated the task description. (Show Details)Feb 11 2019, 5:51 PM
epriestley updated the task description. (Show Details)Feb 11 2019, 11:58 PM
epriestley updated the task description. (Show Details)Feb 13 2019, 12:04 PM
epriestley updated the task description. (Show Details)Feb 13 2019, 12:52 PM
epriestley updated the task description. (Show Details)Feb 13 2019, 12:58 PM
epriestley updated the task description. (Show Details)
epriestley updated the task description. (Show Details)Feb 13 2019, 1:02 PM
epriestley updated the task description. (Show Details)Feb 13 2019, 1:06 PM

bin/config set should warn you when a stronger database value exists, and point you toward bin/config delete --database.

After doing the other part first (D20159), I think the setup warning on its own is probably good enough.

epriestley updated the task description. (Show Details)Feb 13 2019, 2:49 PM
epriestley updated the task description. (Show Details)
epriestley updated the task description. (Show Details)Feb 14 2019, 12:30 PM
epriestley updated the task description. (Show Details)
epriestley updated the task description. (Show Details)Feb 14 2019, 2:23 PM
epriestley updated the task description. (Show Details)Feb 14 2019, 4:15 PM
epriestley updated the task description. (Show Details)Feb 14 2019, 9:50 PM
epriestley renamed this task from 2019 Week 7 Bonus Content to 2019 Week 7 - 8 Bonus Content.Feb 16 2019, 3:20 AM
epriestley renamed this task from 2019 Week 7 - 8 Bonus Content to 2019 Week 7 - 9 Bonus Content.Feb 23 2019, 12:58 AM
epriestley updated the task description. (Show Details)
epriestley updated the task description. (Show Details)Mar 5 2019, 5:57 PM
epriestley updated the task description. (Show Details)Mar 6 2019, 2:54 PM
epriestley updated the task description. (Show Details)Mar 7 2019, 12:07 AM
epriestley renamed this task from 2019 Week 7 - 9 Bonus Content to 2019 Week 7 - 10 Bonus Content.Mar 9 2019, 6:42 PM
epriestley closed this task as Resolved.
epriestley updated the task description. (Show Details)